<?

$error = array();

if ($_SERVER['REQUEST_METHOD'] == 'POST' ){
 if ($_POST['action'] == 'add') {
   $label = strip_tags($_POST['label']);
   if ($label == '') {
     $error[] = "Empty supplier name is not allowed, please retry";
   } else {
     $result = $conn->query('SELECT id FROM storeden_suppliers WHERE label = "'.$label.'"');
     if ($result->num_rows == 0) {
       $email = strip_tags($_POST['email']);
       $phone = strip_tags($_POST['phone']);
       $address = strip_tags($_POST['address']);
       $reference = strip_tags($_POST['reference']);
       $insertQuery = 'INSERT INTO storeden_suppliers (label,email,phone,address,reference) VALUES ("'.$label.'", "'.$email.'", "'.$phone.'", "'.$address.'", "'.$reference.'")';
       if ($conn->query($insertQuery) === TRUE) {
          // update attribute list of suppliers
          $data = array();
          $data['id'] = $attribute_supplier_id;
          $data['value'] = $label;
          $result = $sdk->api('/attributes/attribute_addValue.json', 'POST', $data);
          $new_file_name = uploadImage($_FILES,  $conn->insert_id);
          if ($new_file_name != '') {
            $conn->query( 'UPDATE storeden_suppliers SET picture="'.$new_file_name.'" WHERE id = '.$conn->insert_id );
          }
      } else {
        $error[] = "An error has occurred, please retry.";
      }
     } else {
       $error[] = "A supplier with the same name already exists, please retry.";
     }
   }
 } else if ($_POST['action'] == 'edit') {
   $email = strip_tags($_POST['email']);
   $phone = strip_tags($_POST['phone']);
   $address = strip_tags($_POST['address']);
   $reference = strip_tags($_POST['reference']);
   $updateQuery = 'UPDATE storeden_suppliers SET email="'.$email.'", phone="'.$phone.'", address="'.$address.'", reference="'.$reference.'" WHERE id = '.$_POST['id'];
   if (!($conn->query($updateQuery) === TRUE)) {
      $error[] = "An error has occurred, please retry.";
   } else {
     if ($_FILES["picture"]["name"] != '') {
       $new_file_name = uploadImage($_FILES,  $_POST['id']);
       if ($new_file_name != '') {
         $conn->query( 'UPDATE storeden_suppliers SET picture="'.$new_file_name.'" WHERE id = '.$_POST['id'] );
       }
     }
   }
 }
}
$result = $conn->query("SELECT * FROM storeden_suppliers");
?>

<ol class="breadcrumb">
  <li class="breadcrumb-item"><a href="<?=$app_url?>">&laquo; Back</a></li>
  <li class="breadcrumb-item active">Suppliers</li>
  <a class="btn btn-success float-right" data-toggle="collapse" href="#formAddSupplier" role="button">Add a new supplier <strong>&plus;</strong></a>
</ol>

<? if (count($error) > 0) { ?>
  <div class="alert alert-danger alert-dismissible fade show">
    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
      <span aria-hidden="true">&times;</span>
    </button>
    <?=implode($error, '<br>');?>
  </div>
<? } else if ($_SERVER['REQUEST_METHOD'] == 'POST') { ?>
  <div class="alert alert-success alert-dismissible fade show">
    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
      <span aria-hidden="true">&times;</span>
    </button>
    Your supplier has been saved with success.
  </div>
<? } ?>

<div class="jumbotron collapse <?=(count($error) > 0)?'show':''?>" id="formAddSupplier">

  <span data-toggle="collapse" href="#formAddSupplier" style="position: relative; top: -50px;right: -14px;"><span class="close">&times;</span></span>

  <h6>Fill in the form to add a new supplier. Please remember that the name must be unique and can't be modified.</h6>
  <br>

  <form class="form" method="POST" action="<?=$app_url?>page=suppliers"  enctype="multipart/form-data">

    <input type="hidden" name="action" value="add">

    <div class="form-group row">
      <label class="col-sm-1 col-form-label">Supplier</label>
      <div class="col-sm-5"><input type="text" name="label" class="form-control" value="<?=strip_tags($_POST['label'])?>" required></div>
      <label class="col-sm-1 col-form-label">Address</label>
      <div class="col-sm-5">
        <div class="input-group">
          <div class="input-group-addon"><i class="fa fa-map-marker"></i></div>
          <input type="text" class="form-control" name="address" value="<?=strip_tags($_POST['address'])?>" required>
        </div>
      </div>
    </div>

    <div class="form-group row">
      <label class="col-sm-1 col-form-label">Ref</label>
      <div class="col-sm-5">
        <div class="input-group">
          <div class="input-group-addon"><i class="fa fa-user"></i></div>
          <input type="text" class="form-control" name="reference" value="<?=strip_tags($_POST['reference'])?>" required>
        </div>
      </div>
      <script type="text/javascript" src="//static-cdn.storeden.com/backoffice/js/simpleFileUpload.js"></script>
      <label class="col-sm-1 col-form-label">Picture</label>
      <div class="col-sm-5">
        <div class="input-group file-input-group" style="position:relative;">
          <input type="text" class="form-control pic_name" readonly="" style="background: #fff;">
          <span class="input-group-btn">
            <span class="btn btn-primary btn-file">
              <?=lang('admin.browse')?> <input type="file" name="picture" class="pic_file">
            </span>
          </span>
        </div>
      </div>
    </div>

    <div class="form-group row">
      <label class="col-sm-1 col-form-label">Email</label>
      <div class="col-sm-5">
        <div class="input-group">
          <div class="input-group-addon">@</div>
          <input type="text" class="form-control" name="email" value="<?=strip_tags($_POST['email'])?>" required>
        </div>
      </div>
      <label class="col-sm-1 col-form-label">Phone</label>
      <div class="col-sm-5">
        <div class="input-group">
          <div class="input-group-addon"><i class="fa fa-phone"></i></div>
          <input type="text" class="form-control" name="phone" value="<?=strip_tags($_POST['phone'])?>">
        </div>
      </div>
    </div>

    <button type="submit" class="btn btn-primary float-right">Submit</button>

  </form>
</div>

<table class="table">

  <thead>
    <tr>
      <th></th>
      <th>Supplier</th>
      <th>Address/E-mail/Phone</th>
      <th></th>
    </tr>
  </thead>

  <tbody>
    <? while($row = $result->fetch_assoc()) { ?>
      <tr>
        <td>
          <? if ($row['picture'] != '' ) { ?><img src="<?=$row['picture']?>" class="rounded border-0" width="50px"><? } ?>
        </td>
        <td>
          (<?=$row['id']?>) <a data-toggle="collapse" href="#edit_supplier_<?=$row['id']?>" class="text-primary"><?=$row['label']?></a>
          <? if ($row['reference'] != '' ) { ?><br>Ref: <?=$row['reference']?><? } ?>
        </td>
        <td>
          <? if ($row['address'] != '' ) { ?><i class="fa fa-map-marker"></i> <?=$row['address']?><br><? } ?>
          <? if ($row['email'] != '' ) { ?><?=$row['email']?><br><? } ?>
          <? if ($row['phone'] != '' ) { ?><i class="fa fa-phone"></i> <?=$row['phone']?><? } ?>
        </td>
        <td>
          <a href="https://<?=$group->uid?>-backoffice.storeden.com/products?from_modal=1&search[attributes]=<?=$attribute_supplier_id?>&search[attributevalue]=<?=$row['label']?>" target="_blank" role="button">View products »</a>
        </td>
      </tr>
      <tr id="edit_supplier_<?=$row['id']?>" class="collapse no-hover">
        <td colspan="4">
          <div class="jumbotron">
            <span data-toggle="collapse" href="#edit_supplier_<?=$row['id']?>" style="position: relative; top: -50px;right: -14px;"><span class="close">&times;</span></span>

            <h6>Edit your supplier. Please remember that the name can't be modified.</h6>
            <br>

            <form class="form" method="POST" action="<?=$app_url?>page=suppliers"  enctype="multipart/form-data">

              <input type="hidden" name="action" value="edit">

              <div class="form-group row">
                <label class="col-sm-1 col-form-label">Supplier</label>
                <div class="col-sm-5"><input type="text" name="label" class="form-control" value="<?=$row['label']?>" readonly disabled required></div>
                <label class="col-sm-1 col-form-label">Address</label>
                <div class="col-sm-5">
                  <div class="input-group">
                    <div class="input-group-addon"><i class="fa fa-map-marker"></i></div>
                    <input type="text" class="form-control" name="address" value="<?=$row['address']?>" required>
                  </div>
                </div>
              </div>

              <div class="form-group row">
                <label class="col-sm-1 col-form-label">Ref</label>
                <div class="col-sm-5">
                  <div class="input-group">
                    <div class="input-group-addon"><i class="fa fa-user"></i></div>
                    <input type="text" class="form-control" name="reference" value="<?=$row['reference']?>" required>
                  </div>
                </div>
                <script type="text/javascript" src="//static-cdn.storeden.com/backoffice/js/simpleFileUpload.js"></script>
                <label class="col-sm-1 col-form-label">Picture</label>
                <div class="col-sm-5">
                  <div class="input-group file-input-group" style="position:relative;">
                    <input type="text" class="form-control pic_name" readonly="" style="background: #fff;">
                    <span class="input-group-btn">
                      <span class="btn btn-primary btn-file">
                        <?=lang('admin.browse')?> <input type="file" name="picture" class="pic_file">
                      </span>
                    </span>
                  </div>
                </div>
              </div>

              <div class="form-group row">
                <label class="col-sm-1 col-form-label">Email</label>
                <div class="col-sm-5">
                  <div class="input-group">
                    <div class="input-group-addon">@</div>
                    <input type="text" class="form-control" name="email" value="<?=$row['email']?>" required>
                  </div>
                </div>
                <label class="col-sm-1 col-form-label">Phone</label>
                <div class="col-sm-5">
                  <div class="input-group">
                    <div class="input-group-addon"><i class="fa fa-phone"></i></div>
                    <input type="text" class="form-control" name="phone" value="<?=$row['phone']?>">
                  </div>
                </div>
              </div>

              <input type="hidden" name="id" value="<?=$row['id']?>">
              <button type="submit" class="btn btn-primary float-right">Submit</button>

            </form>
          </div>
        </td>
      </tr>
    <? } ?>
  </tbody>

</table>
