<?

include 'config.php';

$app_instance = $_GET['instance'];
$result = $conn->query('SELECT * FROM storeden_app WHERE instance="'.$app_instance.'"');
$credentials = $result->fetch_assoc();

$sdk = new StoredenConnectSDK(array(
                'key' => $credentials['app_key'],
                'exchange' => $credentials['app_secret'],
                'api_version' => 'v1.1')
              );

// please provide your app right url
$app_url = '[YOUR_APP_URL]/embed.php?instance='.$_GET['instance'].'&';
$page = $_GET['page'];
$group = $sdk->api('/store/info.json');

$suppliers = array();
$result = $conn->query("SELECT * FROM storeden_suppliers");
if ($result->num_rows > 0) {
  while($row = $result->fetch_assoc()) {
    $suppliers[] = $row['label'];
  }
}

$attributes = array(
  array(
    'label' => 'Supplier',
    'type' => 'select',
    'data' => $suppliers
  ),
  array(
    'label' => 'Supplier product price',
    'type' => 'real',
    'data' => array()
  ),
  array(
    'label' => 'Supplier product code',
    'type' => 'text',
    'data' => array()
  )
);

foreach ($attributes as &$attribute){
  $label = urlencode($attribute['label']);
  $search = array_shift($sdk->api('/attributes/search.json?label='.$label, 'GET'));
  $id = $search->id;
  if($search == NULL){
    $id = $sdk->api('/attributes/attribute.json', 'POST', $attribute);
  }
  if ($attribute['label'] == 'Supplier') {
    $attribute_supplier_id = $id;
  }
  $attribute['id'] = $id;
}

include 'layout.php';

?>
