<!DOCTYPE html>
<html lang="it">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <meta charset="utf-8">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-alpha.6/css/bootstrap.min.css">
    <script src="https://code.jquery.com/jquery-3.1.1.slim.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/tether/1.4.0/js/tether.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-alpha.6/js/bootstrap.min.js"></script>
    <link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.6.3/css/font-awesome.min.css" rel="stylesheet">
    <script src="https://static-cdn.storeden.com/iframe-resizer/js/iframeResizer.contentWindow.min.js"></script>
    <link href="utils/style.css" rel="stylesheet">
    <script src="utils/script.js"></script>
  </head>
  <body id="app_body">
    <div id="app_container">
      <? if ($page == '') { ?>
        <div class="jumbotron">
          <div class="col-sm-8 mx-auto">
            <img src="utils/logo_supplier_app.png" />
            <h1>Suppliers</h1>
            <p>With this application you can manage suppliers and associate them to your products. For each products in your catalog you can also provide a price and specific supplier code.</p>
            <p>Use the link below to manage your suppliers.</p>
            <p>
              <a class="btn btn-primary" href="<?=$app_url?>page=suppliers" role="button">Manage suppliers »</a>
            </p>
          </div>
        </div>
      <? } else if ($page == 'suppliers') {
        include 'suppliers.php';
      } ?>
    </div>
  </body>
</html>
